clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::TypeHierarchyParams Struct Reference

The type hierarchy params is an extension of the `TextDocumentPositionsParams` with optional properties which can be used to eagerly resolve the item when requesting from the server. More...

`#include <Protocol.h>`

Inheritance diagram for clang::clangd::TypeHierarchyParams:
[legend]
Collaboration diagram for clang::clangd::TypeHierarchyParams:
[legend]

## Public Attributes
int | resolve = 0
| The hierarchy levels to resolve. `0` indicates no level. More...
TypeHierarchyDirection | direction = TypeHierarchyDirection::Parents
| The direction of the hierarchy levels to resolve. More...
Public Attributes inherited from clang::clangd::TextDocumentPositionParams
TextDocumentIdentifier | textDocument
| The text document. More...
Position | position
| The position inside the text document. More...

## Detailed Description

The type hierarchy params is an extension of the `TextDocumentPositionsParams` with optional properties which can be used to eagerly resolve the item when requesting from the server.

Definition at line 1127 of file Protocol.h.

## Member Data Documentation

## ◆ direction

TypeHierarchyDirection clang::clangd::TypeHierarchyParams::direction = TypeHierarchyDirection::Parents

The direction of the hierarchy levels to resolve.

Definition at line 1132 of file Protocol.h.

## ◆ resolve

int clang::clangd::TypeHierarchyParams::resolve = 0

The hierarchy levels to resolve. `0` indicates no level.

Definition at line 1129 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h